package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_STD_R_SPEC所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-05-22
 */
public class BaseStdRSpecEntity {
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 下限值(壁厚)
     */
    private String minH;
    /**
     * 上限值(壁厚)
     */
    private String maxH;
    /**
     * 下限值(外径)
     */
    private String minD;
    /**
     * 上限值(外径)
     */
    private String maxD;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    /**
     * 标准代码
     */
    private String stdCodeOld = "";
	/**
     * 下限值(壁厚)
     */
    private String minHOld = "";
    /**
     * 上限值(壁厚)
     */
    private String maxHOld = "";
    /**
     * 下限值(外径)
     */
    private String minDOld = "";
    /**
     * 上限值(外径)
     */
    private String maxDOld = "";
    /**
     * 规格类型
     */
    private String mscStyle = "";
	private String mscStyleOld = "";
	/**
	 * 规格代码
	 */
    private String specCode = "";
    private String specCodeOld = "";
    /**
     * 规格名称
     */
    private String specName = "";

    public BaseStdRSpecEntity(){
        stdCode = "";
        stdName = "";
        minH = "";
        maxH = "";
        minD = "";
        maxD = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 下限值(壁厚)
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 下限值(壁厚)
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 上限值(壁厚)
     * @return value
     */
    public String getMaxH() {
        return maxH;
    }

    /**
     * 上限值(壁厚)
     * @param maxH value
     */
    public void setMaxH(String maxH) {
        this.maxH = maxH;
    }

    /**
     * 下限值(外径)
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 下限值(外径)
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 上限值(外径)
     * @return value
     */
    public String getMaxD() {
        return maxD;
    }

    /**
     * 上限值(外径)
     * @param maxD value
     */
    public void setMaxD(String maxD) {
        this.maxD = maxD;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    /**
     * 标准代码旧
     * @return
     */
    public String getStdCodeOld() {
		return stdCodeOld;
	}

    /**
     * 标准代码旧
     * @param stdCodeOld
     */
	public void setStdCodeOld(String stdCodeOld) {
		this.stdCodeOld = stdCodeOld;
	}

	
	public String getMinHOld() {
		return minHOld;
	}

	public void setMinHOld(String minHOld) {
		this.minHOld = minHOld;
	}

	public String getMaxHOld() {
		return maxHOld;
	}

	public void setMaxHOld(String maxHOld) {
		this.maxHOld = maxHOld;
	}

	public String getMinDOld() {
		return minDOld;
	}

	public void setMinDOld(String minDOld) {
		this.minDOld = minDOld;
	}

	public String getMaxDOld() {
		return maxDOld;
	}

	public void setMaxDOld(String maxDOld) {
		this.maxDOld = maxDOld;
	}
	
	public String getMscStyle() {
		return mscStyle;
	}

	public void setMscStyle(String mscStyle) {
		this.mscStyle = mscStyle;
	}

	public String getMscStyleOld() {
		return mscStyleOld;
	}

	public void setMscStyleOld(String mscStyleOld) {
		this.mscStyleOld = mscStyleOld;
	}

	public String getSpecCode() {
		return specCode;
	}

	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	public String getSpecCodeOld() {
		return specCodeOld;
	}

	public void setSpecCodeOld(String specCodeOld) {
		this.specCodeOld = specCodeOld;
	}

	public String getSpecName() {
		return specName;
	}

	public void setSpecName(String specName) {
		this.specName = specName;
	}
}
